List agent interactions
curl --request GET \
--url https://api.omnara.com/v1/orgs/{orgID}/projects/{projectID}/agents/{agentID}/interactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.omnara.com/v1/orgs/{orgID}/projects/{projectID}/agents/{agentID}/interactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.omnara.com/v1/orgs/{orgID}/projects/{projectID}/agents/{agentID}/interactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"org_id": "<string>",
"project_id": "<string>",
"agent_id": "<string>",
"interaction_kind": "permission",
"state": "open",
"request": {
"title": "<string>",
"questions": [
{
"prompt": "<string>",
"options": [
{
"label": "<string>",
"allows_text": false
}
],
"multiple": false
}
],
"context": [
{
"label": "<string>",
"value": "<string>"
}
]
},
"created_at": "2023-11-07T05:31:56Z",
"resolution": {
"answers": [
{
"option_indices": [
1
],
"text": "<string>"
}
]
},
"resolved_by_input_id": "<string>",
"resolved_at": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "internal_error"
}Interactions
List agent interactions
Items are ordered by created_at ascending, then id ascending.
GET
/
orgs
/
{orgID}
/
projects
/
{projectID}
/
agents
/
{agentID}
/
interactions
List agent interactions
Authorizations
bearerAuthbrowserSessionCookie
An opaque Omnara personal or organization bearer token.
Path Parameters
Pattern:
^org_[a-z2-7]{26}$Pattern:
^proj_[a-z2-7]{26}$Pattern:
^agt_[a-z2-7]{26}$Query Parameters
Available options:
open, resolved, canceled Maximum number of items to return in one page.
Required range:
1 <= x <= 100Opaque pagination cursor from a previous response's next_cursor. Omit for the first page.
Maximum string length:
1024⌘I